Package org.eclipse.m2m.atl.adt.debug.ui

# Class AtlDebugModelPresentation

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.viewers.BaseLabelProvider
org.eclipse.jface.viewers.LabelProvider
org.eclipse.m2m.atl.adt.debug.ui.AtlDebugModelPresentation

All Implemented Interfaces:
  `org.eclipse.debug.ui.IDebugModelPresentation`, `org.eclipse.debug.ui.ISourcePresentation`, `org.eclipse.jface.viewers.IBaseLabelProvider`, `org.eclipse.jface.viewers.ILabelProvider`

public class AtlDebugModelPresentation extends org.eclipse.jface.viewers.LabelProvider implements org.eclipse.debug.ui.IDebugModelPresentation
A debug model presentation is responsible for providing labels, images, and editors associated with debug elements in a specific debug model. To allow for an extensible configuration, IDebugModelPresentation interface defines a setAttribute method.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BREAKPOINT`
If you add a constant here, look in the class AtlVariable if the value is not already used.

### Fields inherited from interface org.eclipse.debug.ui.IDebugModelPresentation

`DISPLAY_VARIABLE_TYPE_NAMES`

## Constructor Summary

Constructors
Constructor
Description
`AtlDebugModelPresentation()`

## Method Summary

Modifier and Type
Method
Description
`void`
`computeDetail(org.eclipse.debug.core.model.IValue value, org.eclipse.debug.ui.IValueDetailListener listener)`
`org.eclipse.ui.IEditorInput`
`getDisassemblyEditorInput(AtlStackFrame frame)`
Returns the disassembly editor.
`String`
`getEditorId(org.eclipse.ui.IEditorInput input, Object element)`
`org.eclipse.ui.IEditorInput`
`getEditorInput(Object element)`
`org.eclipse.swt.graphics.Image`
`getImage(Object item)`
`String`
`getText(Object item)`
`void`
`setAttribute(String attribute, Object value)`

### Methods inherited from class org.eclipse.jface.viewers.LabelProvider

`createImageProvider, createTextImageProvider, createTextProvider`

### Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider

`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

## Field Details

### BREAKPOINT

public static final int BREAKPOINT
If you add a constant here, look in the class AtlVariable if the value is not already used.

See Also:
  - Constant Field Values

## Constructor Details

### AtlDebugModelPresentation

public AtlDebugModelPresentation()

## Method Details

### setAttribute

public void setAttribute(String attribute, Object value)

Specified by:
  `setAttribute` in interface `org.eclipse.debug.ui.IDebugModelPresentation`
See Also:
  - `IDebugModelPresentation.setAttribute(java.lang.String, java.lang.Object)`

### getImage

public org.eclipse.swt.graphics.Image getImage(Object item)

Specified by:
  `getImage` in interface `org.eclipse.debug.ui.IDebugModelPresentation`
Specified by:
  `getImage` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getImage` in class `org.eclipse.jface.viewers.LabelProvider`
See Also:
  - `LabelProvider.getImage(java.lang.Object)`

### getText

public String getText(Object item)

Specified by:
  `getText` in interface `org.eclipse.debug.ui.IDebugModelPresentation`
Specified by:
  `getText` in interface `org.eclipse.jface.viewers.ILabelProvider`
Overrides:
  `getText` in class `org.eclipse.jface.viewers.LabelProvider`
See Also:
  - `LabelProvider.getText(java.lang.Object)`

### computeDetail

public void computeDetail(org.eclipse.debug.core.model.IValue value, org.eclipse.debug.ui.IValueDetailListener listener)

Specified by:
  `computeDetail` in interface `org.eclipse.debug.ui.IDebugModelPresentation`
See Also:
  - `IDebugModelPresentation.computeDetail(org.eclipse.debug.core.model.IValue, org.eclipse.debug.ui.IValueDetailListener)`

### getDisassemblyEditorInput

public org.eclipse.ui.IEditorInput getDisassemblyEditorInput(AtlStackFrame frame)
Returns the disassembly editor.

Parameters:
  `frame` - the frame context
Returns:
  the disassembly editor

### getEditorInput

public org.eclipse.ui.IEditorInput getEditorInput(Object element)

Specified by:
  `getEditorInput` in interface `org.eclipse.debug.ui.ISourcePresentation`
See Also:
  - `ISourcePresentation.getEditorInput(java.lang.Object)`

### getEditorId

public String getEditorId(org.eclipse.ui.IEditorInput input, Object element)

Specified by:
  `getEditorId` in interface `org.eclipse.debug.ui.ISourcePresentation`
See Also:
  - `ISourcePresentation.getEditorId(org.eclipse.ui.IEditorInput, java.lang.Object)`